/**
  *  \file client/widgets/commandinfo.h
  *  \brief WCommandInfo widget
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_COMMANDINFO_H
#define PCC_V2_CLIENT_WIDGETS_COMMANDINFO_H

#include "ui/ui.h"

class GCommand;

/** Display information about an auxiliary command. */
class WCommandInfo : public UIWidget {
    const GCommand* cmd;
 public:
    WCommandInfo();
    ~WCommandInfo();

    void setCommand(const GCommand* cmd);

    void getLayoutInfo(LayoutInfo& info);
    void drawContent(GfxCanvas& can);
};

#endif
