/**
  *  \file client/widgets/selswitch.h
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SELSWITCH_H
#define PCC_V2_CLIENT_WIDGETS_SELSWITCH_H

#include "ui/ui.h"

/** Selection switcher. This widget, when added to a group, will allow
    the user to switch selection layers. */
class WSelectionSwitcher : public UIFixedWidget {
 public:
    WSelectionSwitcher();
    ~WSelectionSwitcher();
    bool handleEvent(const UIEvent& event, bool second_pass);
    void drawContent(GfxCanvas& can);
};

#endif
